server:
  name: "blazing server"
  address: ":8080" #前台服务器地址
  port: 12345
  openapiPath: "/api.json"
  swaggerPath: "/swagger"
  clientMaxBodySize: 104857600 # 100MB in bytes 100*1024*1024
         # 平滑重启特性
  graceful:                true # 是否开启平滑重启特性，开启时将会在本地增加10000的本地TCP端口用于进程间通信。默认false
  gracefulTimeout:         2     # 父进程在平滑重启后多少秒退出，默认2秒。若请求耗时大于该值，可能会导致请求中断
  gracefulShutdownTimeout: 5     # 关闭Server时如果存在正在执行的HTTP请求，Server等待多少秒才执行强行关闭
logger:
  level: "all"
  stdout: true

database:
  default:
    type: "pgsql"
    host: "132.232.154.227"
    port: "5432"
    user: "seer"
    pass: "hCnKjZRp3jnewzbS"
    name: "seer"
    debug: true
    timezone: "Asia/Shanghai"
    createdAt: "createTime"
    updatedAt: "updateTime"
    # deletedAt: "deleteTime"
  # default:
  #   type: "mysql"
  #   host: "159.75.107.160"
  #   port: "3306"
  #   user: "blazing"
  #   pass: "zjjSrsBMrB5RmjE7"
  #   name: "blazing"
  #   charset: "utf8mb4"
  #   timezone: "Asia/Shanghai"
  #   debug: true
  #   createdAt: "createTime"
  #   updatedAt: "updateTime"
  #   deletedAt: "deleteTime"
  # baseConfig:
  #   type: "sqlite"
  #   link: "base-config.sqlite"
  #   extra: busy_timeout=5000
  #   createdAt: "createTime"
  #   updatedAt: "updateTime"
  #   debug: true

# Redis 配置示例
redis:
  cool:
    address: "132.232.154.227:6379"
    db: 0
    pass: "redis_3zXPwf"

blazing:
  autoMigrate: true
  eps: true
  file:
    mode: "local" # local | minio | oss
    domain: "http://127.0.0.1:8002"
    # oss配置项兼容 minio oss 需要配置bucket公开读
    oss:
      endpoint: "192.168.192.110:9000"
      accessKeyID: "accessKeyID"
      secretAccessKey: "secretAccessKey"
      bucketName: "blazing"
      useSSL: false #minio用到
      location: "us-east-1" #minio用到

modules:
  base:
    jwt:
      sso: false
      secret: "cool-base88776655"
      token:
        expire: 10 # 2*3600
        refreshExpire: 1296000 # 24*3600*15
    middleware:
      authority:
        enable: true
      log:
        enable: true
